﻿package cadprod;

import java.util.Scanner;

/**
 * Classe do programa de Cadastro de Produtos
 * @author prof@caetano.eng.br
 */
public class CadProd {

    /**
     * Rotina principal do Cadastro de Produtos
     * @param args parâmetros da linha de comandos
     */
    public static void main(String[] args) {

        // Variável para indicar a opção
        char opcao;

        // Laço Principal
        do {
            // Apresenta o Menu e Retorna Opção Escolhida
            opcao = mostraMenu();

            // Escolhe tarefa a executar
            switch(opcao) {
                case 'C':
                    Produto produto;
                    produto = cadastrarProduto();
                    System.out.println(produto.toString());
                    break;
                case 'L':
                    System.out.println("Rotina não implementada.");
                    break;
                case 'B':
                    System.out.println("Rotina não implementada.");
                    break;
                case 'E':
                    System.out.println("Rotina não implementada.");
                    break;
                case 'S':
                    System.out.println("Obrigado por usar o sistema!");
                    break;
                default:
                    System.err.println("Comando desconhecido!");
            }
        } while( opcao != 'S' );
    }
    
    /**
     * Apresenta o menu principal na tela
     * @return opção escolhida pelo usuário.
     */
    public static char mostraMenu() {
        
        System.out.println();
        System.out.println("Cadastro de Produtos");
        System.out.println("********************");
        System.out.println();
        System.out.println("(C)adastrar Produto");
        System.out.println("(L)istar Produto");
        System.out.println("(B)uscar Produto");
        System.out.println("(E)ditar Produto");
        System.out.println("(S)air");
        System.out.print("Opção: ");
        
        Scanner teclado = new Scanner(System.in);
        char tecla = teclado.nextLine().toUpperCase().charAt(0);
        return tecla;
    }


    /**
     * Cadastrar um Produto
     * @return Novo objeto de produto preenchido
     */
    public static Produto cadastrarProduto() {
        
        Produto p;
        
        System.out.println();
        System.out.println("Cadastrar Produto");
        System.out.println("*****************");
        System.out.println();
        
        // Cria produto "vazio"
        p = new Produto();
        
        // Permite que usuário preencha dados do produto
        Scanner teclado = new Scanner(System.in);
        String tmp;
        
        do {
            System.out.println("* Digite o tipo (0-Livro; 1-CD; 2-DVD; 3-BD): ");
            tmp = teclado.nextLine();
        } while (p.setTipo(Integer.parseInt(tmp)) == false);
        // Preenchimento do Nome do Produto
        do {
            System.out.println("* Digite o nome do produto: ");
            tmp = teclado.nextLine();
        } while (p.setNome(tmp) == false);
        // Preenchimento do Preço do Produto
        do {
            System.out.println("* Digite o preço do produto (só número): ");
            tmp = teclado.nextLine();
        } while (p.setPreco(Double.parseDouble(tmp)) == false);
        // Preenchimento da Descrição Longa
        do {
            System.out.println("* Digite a descrição longa: ");
            tmp = teclado.nextLine();
        } while (p.setDescricaoLonga(tmp) == false);

        // Preenchimento do Estoque
        do {
            System.out.println("* Digite a quantidade em estoque: ");
            tmp = teclado.nextLine();
        } while (p.setEstoque(Integer.parseInt(tmp)) == false);
        
        // Preenchimento do Desconto
        do {
            System.out.println("* Digite o desconto (só o número da %): ");
            tmp = teclado.nextLine();
        } while ( p.setDesconto(Double.parseDouble(tmp)) == false);
        
        return p;
    }
    
}
